/*
 * nand.h
 *
 *  Created on: 29-04-2014
 *      Author: KJ
 */

#ifndef NAND_H_
#define NAND_H_

#include "tdefs.h"

struct nand_logic
{
	u8 *out_ptr;
	u8 out_bit_no;

	u8 *in1_ptr;
	u8 in1_bit_no;

	u8 *in2_ptr;
	u8 in2_bit_no;
};

struct nand_io
{
	u32 in1;
	u32 in2;
	u32 out;
}__attribute__((__packed__));

struct nand_params
{
}__attribute__((__packed__));

struct nand_args
{
	struct nand_io io;
	struct nand_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void nand(void *args, void *logic);
extern int nand_initlog(void *args, void *logic);

#endif /* NAND_H_ */
